<?php
/**
 * @file
 * recruiter_job_search.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function recruiter_job_search_views_default_views() {
  $export = array();

  $view = new view;
  $view->name = 'job_bookmarks';
  $view->description = 'A page listing the current user\'s bookmarks at /bookmarks.';
  $view->tag = 'flag';
  $view->base_table = 'node';
  $view->human_name = 'Job bookmarks';
  $view->core = 0;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'My job bookmarks';
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    115362423 => '115362423',
  );
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['group_rendered'] = 1;
  $handler->display->display_options['style_options']['columns'] = array(
    'job_url' => 'job_url',
    'changed' => 'changed',
    'title' => 'title',
    'field_job_organization' => 'title',
    'ops' => 'ops',
  );
  $handler->display->display_options['style_options']['default'] = 'changed';
  $handler->display->display_options['style_options']['info'] = array(
    'job_url' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'changed' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_job_organization' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'ops' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['override'] = 0;
  $handler->display->display_options['style_options']['sticky'] = 1;
  $handler->display->display_options['style_options']['empty_table'] = 0;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['text']['id'] = 'text';
  $handler->display->display_options['empty']['text']['table'] = 'views';
  $handler->display->display_options['empty']['text']['field'] = 'area';
  $handler->display->display_options['empty']['text']['empty'] = FALSE;
  $handler->display->display_options['empty']['text']['content'] = 'You have not yet bookmarked any job. Click the "Bookmark this" link when viewing a job to add it to this list.';
  $handler->display->display_options['empty']['text']['format'] = 'plain_text';
  $handler->display->display_options['empty']['text']['tokenize'] = 0;
  /* Relationship: Flags: job_bookmarks */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'bookmarks';
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'job_bookmarks';
  /* Field: Node: Job URL */
  $handler->display->display_options['fields']['job_url']['id'] = 'job_url';
  $handler->display->display_options['fields']['job_url']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['job_url']['field'] = 'job_url';
  $handler->display->display_options['fields']['job_url']['label'] = '';
  $handler->display->display_options['fields']['job_url']['exclude'] = TRUE;
  $handler->display->display_options['fields']['job_url']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['external'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['job_url']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['job_url']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['html'] = 0;
  $handler->display->display_options['fields']['job_url']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['job_url']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['job_url']['hide_empty'] = 0;
  $handler->display->display_options['fields']['job_url']['empty_zero'] = 0;
  $handler->display->display_options['fields']['job_url']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['job_url']['display_as_link'] = 0;
  $handler->display->display_options['fields']['job_url']['link_to_entity'] = 0;
  /* Field: Content: Updated date */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'node';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = 'Date';
  $handler->display->display_options['fields']['changed']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['external'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['changed']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['changed']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['html'] = 0;
  $handler->display->display_options['fields']['changed']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['changed']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['changed']['hide_empty'] = 0;
  $handler->display->display_options['fields']['changed']['empty_zero'] = 0;
  $handler->display->display_options['fields']['changed']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['changed']['date_format'] = 'short';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['title']['alter']['path'] = '[job_url]';
  $handler->display->display_options['fields']['title']['alter']['absolute'] = 1;
  $handler->display->display_options['fields']['title']['alter']['external'] = 0;
  $handler->display->display_options['fields']['title']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['title']['alter']['link_class'] = 'recruiter-job-link';
  $handler->display->display_options['fields']['title']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['element_type'] = 'div';
  $handler->display->display_options['fields']['title']['element_class'] = 'title';
  $handler->display->display_options['fields']['title']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['title']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['title']['link_to_node'] = 0;
  /* Field: Content: Organization */
  $handler->display->display_options['fields']['field_job_organization']['id'] = 'field_job_organization';
  $handler->display->display_options['fields']['field_job_organization']['table'] = 'field_data_field_job_organization';
  $handler->display->display_options['fields']['field_job_organization']['field'] = 'field_job_organization';
  $handler->display->display_options['fields']['field_job_organization']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_job_organization']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_job_organization']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['element_type'] = 'div';
  $handler->display->display_options['fields']['field_job_organization']['element_class'] = 'organization';
  $handler->display->display_options['fields']['field_job_organization']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_job_organization']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_job_organization']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['field_job_organization']['field_api_classes'] = 0;
  /* Field: Flags: Flag link */
  $handler->display->display_options['fields']['ops']['id'] = 'ops';
  $handler->display->display_options['fields']['ops']['table'] = 'flag_content';
  $handler->display->display_options['fields']['ops']['field'] = 'ops';
  $handler->display->display_options['fields']['ops']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['ops']['label'] = 'Operations';
  $handler->display->display_options['fields']['ops']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['ops']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['ops']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['ops']['alter']['external'] = 0;
  $handler->display->display_options['fields']['ops']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['ops']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['ops']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['ops']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['ops']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['ops']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['ops']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['ops']['alter']['html'] = 0;
  $handler->display->display_options['fields']['ops']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['ops']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['ops']['hide_empty'] = 0;
  $handler->display->display_options['fields']['ops']['empty_zero'] = 0;
  $handler->display->display_options['fields']['ops']['hide_alter_empty'] = 1;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'job_per_file' => 'job_per_file',
    'job_per_link' => 'job_per_link',
    'job_per_template' => 'job_per_template',
  );
  /* Filter criterion: Content: Workflow state (field_job_workflow_state) */
  $handler->display->display_options['filters']['field_job_workflow_state_value']['id'] = 'field_job_workflow_state_value';
  $handler->display->display_options['filters']['field_job_workflow_state_value']['table'] = 'field_data_field_job_workflow_state';
  $handler->display->display_options['filters']['field_job_workflow_state_value']['field'] = 'field_job_workflow_state_value';
  $handler->display->display_options['filters']['field_job_workflow_state_value']['value'] = array(
    'published' => 'published',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'job-bookmarks';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'My job bookmarks';
  $handler->display->display_options['menu']['weight'] = '0';
  $export['job_bookmarks'] = $view;

  $view = new view;
  $view->name = 'job_search';
  $view->description = 'Recruiter job search';
  $view->tag = 'recruiter, job_search, job';
  $view->base_table = 'search_api_index_job_search';
  $view->human_name = '';
  $view->core = 0;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'Recruiter jobs';
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '20';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['group_rendered'] = 1;
  $handler->display->display_options['style_options']['columns'] = array(
    'changed' => 'changed',
    'job_url' => 'job_url',
    'title' => 'title',
    'field_job_organization' => 'title',
    'flag_ops_entity_1' => 'flag_ops_entity_1',
  );
  $handler->display->display_options['style_options']['default'] = 'changed';
  $handler->display->display_options['style_options']['info'] = array(
    'changed' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'job_url' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_job_organization' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'flag_ops_entity_1' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['empty_table'] = 0;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['label'] = 'Empty text.';
  $handler->display->display_options['empty']['area']['empty'] = FALSE;
  $handler->display->display_options['empty']['area']['content'] = 'Empty.';
  $handler->display->display_options['empty']['area']['format'] = 'plain_text';
  /* Field: Indexed Node: Date changed */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'search_api_index_job_search';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = 'Date';
  $handler->display->display_options['fields']['changed']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['external'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['changed']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['changed']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['changed']['alter']['html'] = 0;
  $handler->display->display_options['fields']['changed']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['changed']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['changed']['hide_empty'] = 0;
  $handler->display->display_options['fields']['changed']['empty_zero'] = 0;
  $handler->display->display_options['fields']['changed']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['changed']['date_format'] = 'short_date_only';
  $handler->display->display_options['fields']['changed']['link_to_entity'] = 0;
  /* Field: Indexed Node: Job URL */
  $handler->display->display_options['fields']['job_url']['id'] = 'job_url';
  $handler->display->display_options['fields']['job_url']['table'] = 'search_api_index_job_search';
  $handler->display->display_options['fields']['job_url']['field'] = 'job_url';
  $handler->display->display_options['fields']['job_url']['label'] = '';
  $handler->display->display_options['fields']['job_url']['exclude'] = TRUE;
  $handler->display->display_options['fields']['job_url']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['external'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['job_url']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['job_url']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['job_url']['alter']['html'] = 0;
  $handler->display->display_options['fields']['job_url']['element_type'] = 'div';
  $handler->display->display_options['fields']['job_url']['element_class'] = 'title';
  $handler->display->display_options['fields']['job_url']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['job_url']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['job_url']['hide_empty'] = 0;
  $handler->display->display_options['fields']['job_url']['empty_zero'] = 0;
  $handler->display->display_options['fields']['job_url']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['job_url']['display_as_link'] = 0;
  $handler->display->display_options['fields']['job_url']['link_to_entity'] = 0;
  /* Field: Indexed Node: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'search_api_index_job_search';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['title']['alter']['path'] = '[job_url]';
  $handler->display->display_options['fields']['title']['alter']['absolute'] = 1;
  $handler->display->display_options['fields']['title']['alter']['external'] = 0;
  $handler->display->display_options['fields']['title']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['title']['alter']['link_class'] = 'recruiter-job-link';
  $handler->display->display_options['fields']['title']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['title']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['title']['link_to_entity'] = 0;
  /* Field: Indexed Node: Organization */
  $handler->display->display_options['fields']['field_job_organization']['id'] = 'field_job_organization';
  $handler->display->display_options['fields']['field_job_organization']['table'] = 'search_api_index_job_search';
  $handler->display->display_options['fields']['field_job_organization']['field'] = 'field_job_organization';
  $handler->display->display_options['fields']['field_job_organization']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['external'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['max_length'] = '60';
  $handler->display->display_options['fields']['field_job_organization']['alter']['word_boundary'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_job_organization']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['alter']['trim'] = 1;
  $handler->display->display_options['fields']['field_job_organization']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['element_type'] = 'div';
  $handler->display->display_options['fields']['field_job_organization']['element_class'] = 'organization';
  $handler->display->display_options['fields']['field_job_organization']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['field_job_organization']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['field_job_organization']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_job_organization']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['field_job_organization']['field_api_classes'] = 0;
  /* Field: Node: Flag link for entities */
  $handler->display->display_options['fields']['flag_ops_entity_1']['id'] = 'flag_ops_entity_1';
  $handler->display->display_options['fields']['flag_ops_entity_1']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['flag_ops_entity_1']['field'] = 'flag_ops_entity';
  $handler->display->display_options['fields']['flag_ops_entity_1']['label'] = 'Bookmark';
  $handler->display->display_options['fields']['flag_ops_entity_1']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['flag_ops_entity_1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['flag_ops_entity_1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['flag_ops_entity_1']['alter']['external'] = 0;
  $handler->display->display_options['fields']['flag_ops_entity_1']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['flag_ops_entity_1']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['flag_ops_entity_1']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['flag_ops_entity_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['flag_ops_entity_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['flag_ops_entity_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['flag_ops_entity_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['flag_ops_entity_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['flag_ops_entity_1']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['flag_ops_entity_1']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['flag_ops_entity_1']['hide_empty'] = 0;
  $handler->display->display_options['fields']['flag_ops_entity_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['flag_ops_entity_1']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['flag_ops_entity_1']['flag'] = 'job_bookmarks';
  /* Filter criterion: Indexed Node: Content type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'search_api_index_job_search';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'job_per_file' => 'job_per_file',
    'job_per_link' => 'job_per_link',
    'job_per_template' => 'job_per_template',
  );
  /* Filter criterion: Search: Fulltext search */
  $handler->display->display_options['filters']['search_api_views_fulltext']['id'] = 'search_api_views_fulltext';
  $handler->display->display_options['filters']['search_api_views_fulltext']['table'] = 'search_api_index_job_search';
  $handler->display->display_options['filters']['search_api_views_fulltext']['field'] = 'search_api_views_fulltext';
  $handler->display->display_options['filters']['search_api_views_fulltext']['exposed'] = TRUE;
  $handler->display->display_options['filters']['search_api_views_fulltext']['expose']['operator_id'] = 'search_api_views_fulltext_op';
  $handler->display->display_options['filters']['search_api_views_fulltext']['expose']['label'] = 'Fulltext search';
  $handler->display->display_options['filters']['search_api_views_fulltext']['expose']['operator'] = 'search_api_views_fulltext_op';
  $handler->display->display_options['filters']['search_api_views_fulltext']['expose']['identifier'] = 'search';
  /* Filter criterion: Indexed Node: Status */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'search_api_index_job_search';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  /* Filter criterion: Indexed Node: Workflow state */
  $handler->display->display_options['filters']['field_job_workflow_state']['id'] = 'field_job_workflow_state';
  $handler->display->display_options['filters']['field_job_workflow_state']['table'] = 'search_api_index_job_search';
  $handler->display->display_options['filters']['field_job_workflow_state']['field'] = 'field_job_workflow_state';
  $handler->display->display_options['filters']['field_job_workflow_state']['value'] = array(
    'published' => 'published',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'search_page');
  $handler->display->display_options['exposed_block'] = TRUE;
  $handler->display->display_options['path'] = 'search/job';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Job search';
  $handler->display->display_options['menu']['description'] = 'Search for jobs.';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'main-menu';
  $export['job_search'] = $view;

  return $export;
}
