<?php
/**
 * @file
 * recruiter_resume.features.inc
 */

/**
 * Implements hook_views_api().
 */
function recruiter_resume_views_api() {
  list($module, $api) = func_get_args();
  if ($module == "views" && $api == "views_default") {
    return array("version" => "3.0");
  }
}

/**
 * Implements hook_default_profile2_type().
 */
function recruiter_resume_default_profile2_type() {
  $items = array();
  $items['resume'] = entity_import('profile2_type', '{
    "userCategory" : false,
    "userView" : false,
    "type" : "resume",
    "label" : "Resume",
    "weight" : "0",
    "data" : { "use_page" : 1, "page_path" : "resume" },
    "rdf_mapping" : []
  }');
  return $items;
}

/**
 * Implements hook_default_rules_link().
 */
function recruiter_resume_default_rules_link() {
  $items = array();
  $items['resume_set_hidden'] = entity_import('rules_link', '{
    "settings" : {
      "text" : "Hide resume",
      "link_type" : "confirm",
      "bundles" : { "resume" : "resume" },
      "entity_link" : 1,
      "confirm_question" : "Are you sure you want to hide your resume?",
      "confirm_description" : "Hiding your resume will exclude you from searches and being contacted by companies. You can always re-activate your resume. "
    },
    "name" : "resume_set_hidden",
    "label" : "Resume set hidden",
    "path" : "resume_set_hidden",
    "entity_type" : "profile2",
    "rdf_mapping" : []
  }');
  $items['resume_set_visible'] = entity_import('rules_link', '{
    "settings" : {
      "text" : "Show resume",
      "link_type" : "token",
      "bundles" : { "resume" : "resume" },
      "entity_link" : 1
    },
    "name" : "resume_set_visible",
    "label" : "Resume set visible",
    "path" : "resume_set_visible",
    "entity_type" : "profile2",
    "rdf_mapping" : []
  }');
  return $items;
}
