<?php
/**
 * @file
 * recruiter_resume.rules_defaults.inc
 */

/**
 * Implements hook_default_rules_configuration().
 */
function recruiter_resume_default_rules_configuration() {
  $items = array();
  $items['rules_link_condition_resume_set_hidden'] = entity_import('rules_config', '{ "rules_link_condition_resume_set_hidden" : {
      "LABEL" : "Rules link: Resume set hidden condition",
      "PLUGIN" : "and",
      "TAGS" : [ "recruiter_resume" ],
      "REQUIRES" : [ "rules" ],
      "USES VARIABLES" : { "profile2" : { "label" : "profile2", "type" : "profile2" } },
      "AND" : [
        { "data_is" : { "data" : [ "profile2:type" ], "value" : "resume" } },
        { "data_is" : { "data" : [ "profile2:field-resume-state" ], "value" : "visible" } },
        { "OR" : [
            { "data_is" : { "data" : [ "site:current-user" ], "value" : [ "profile2:user" ] } },
            { "user_has_role" : {
                "account" : [ "site:current-user" ],
                "roles" : { "value" : { "30037204" : "30037204" } }
              }
            }
          ]
        }
      ]
    }
  }');
  $items['rules_link_condition_resume_set_visible'] = entity_import('rules_config', '{ "rules_link_condition_resume_set_visible" : {
      "LABEL" : "Rules link: Resume set visible condition",
      "PLUGIN" : "and",
      "TAGS" : [ "recruiter_resume" ],
      "REQUIRES" : [ "rules" ],
      "USES VARIABLES" : { "profile2" : { "label" : "profile2", "type" : "profile2" } },
      "AND" : [
        { "data_is" : { "data" : [ "profile2:type" ], "value" : "resume" } },
        { "OR" : [
            { "data_is" : { "data" : [ "profile2:field-resume-state" ], "value" : "hidden" } },
            { "data_is" : { "data" : [ "profile2:field-resume-state" ], "value" : "auto_hidden" } }
          ]
        },
        { "OR" : [
            { "data_is" : { "data" : [ "site:current-user" ], "value" : [ "profile2:user" ] } },
            { "user_has_role" : {
                "account" : [ "site:current-user" ],
                "roles" : { "value" : { "30037204" : "30037204" } }
              }
            }
          ]
        }
      ]
    }
  }');
  $items['rules_link_set_resume_set_hidden'] = entity_import('rules_config', '{ "rules_link_set_resume_set_hidden" : {
      "LABEL" : "Rules link: Resume set hidden rules set",
      "PLUGIN" : "rule set",
      "TAGS" : [ "recruiter_resume" ],
      "REQUIRES" : [ "rules" ],
      "USES VARIABLES" : { "profile2" : { "label" : "profile2", "type" : "profile2" } },
      "RULES" : [
        { "RULE" : {
            "IF" : [ { "data_is" : { "data" : [ "profile2:type" ], "value" : "resume" } } ],
            "DO" : [
              { "data_set" : { "data" : [ "profile2:field-resume-state" ], "value" : "hidden" } },
              { "drupal_message" : { "message" : "Your resume has been hidden." } }
            ],
            "LABEL" : "Resume set hidden"
          }
        }
      ]
    }
  }');
  $items['rules_link_set_resume_set_visible'] = entity_import('rules_config', '{ "rules_link_set_resume_set_visible" : {
      "LABEL" : "Rules link: Resume set visible rules set",
      "PLUGIN" : "rule set",
      "TAGS" : [ "recruiter_resume" ],
      "REQUIRES" : [ "rules" ],
      "USES VARIABLES" : { "profile2" : { "label" : "profile2", "type" : "profile2" } },
      "RULES" : [
        { "RULE" : {
            "IF" : [ { "data_is" : { "data" : [ "profile2:type" ], "value" : "resume" } } ],
            "DO" : [
              { "data_set" : { "data" : [ "profile2:field-resume-state" ], "value" : "visible" } },
              { "drupal_message" : { "message" : "Your resume is active now." } }
            ],
            "LABEL" : "Resume set visible"
          }
        }
      ]
    }
  }');
  $items['rules_resume_initialization_insert'] = entity_import('rules_config', '{ "rules_resume_initialization_insert" : {
      "LABEL" : "Resume initialization on insert",
      "PLUGIN" : "reaction rule",
      "TAGS" : [ "recruiter_resume" ],
      "REQUIRES" : [ "rules" ],
      "ON" : [ "user_insert" ],
      "IF" : [
        { "user_has_role" : {
            "account" : [ "account" ],
            "roles" : { "value" : { "30037204" : "30037204", "115362423" : "115362423" } },
            "operation" : "OR"
          }
        }
      ],
      "DO" : [
        { "entity_create" : {
            "USING" : {
              "type" : "profile2",
              "param_type" : "resume",
              "param_user" : [ "account" ]
            },
            "PROVIDE" : { "entity_created" : { "resume" : "Resume" } }
          }
        }
      ]
    }
  }');
  $items['rules_resume_initialization_update'] = entity_import('rules_config', '{ "rules_resume_initialization_update" : {
      "LABEL" : "Resume initialization on update",
      "PLUGIN" : "reaction rule",
      "TAGS" : [ "recruiter_resume" ],
      "REQUIRES" : [ "rules" ],
      "ON" : [ "user_update" ],
      "IF" : [
        { "user_has_role" : {
            "account" : [ "account" ],
            "roles" : { "value" : { "30037204" : "30037204", "115362423" : "115362423" } },
            "operation" : "OR"
          }
        },
        { "NOT user_has_role" : {
            "account" : [ "account-unchanged" ],
            "roles" : { "value" : { "30037204" : "30037204", "115362423" : "115362423" } },
            "operation" : "OR"
          }
        }
      ],
      "DO" : [
        { "entity_create" : {
            "USING" : {
              "type" : "profile2",
              "param_type" : "resume",
              "param_user" : [ "account" ]
            },
            "PROVIDE" : { "entity_created" : { "resume" : "Resume" } }
          }
        }
      ]
    }
  }');
  $items['rules_resume_status_complete'] = entity_import('rules_config', '{ "rules_resume_status_complete" : {
      "LABEL" : "Update resume status when it is completed",
      "PLUGIN" : "reaction rule",
      "TAGS" : [ "recruiter_resume" ],
      "REQUIRES" : [ "rules", "recruiter_resume", "profile2" ],
      "ON" : [ "profile2_update" ],
      "IF" : [
        { "data_is" : { "data" : [ "profile2:type" ], "value" : "resume" } },
        { "data_is" : { "data" : [ "profile2:field-resume-state" ], "value" : "incomplete" } },
        { "recruiter_resume_complete" : { "profile" : [ "profile2" ] } }
      ],
      "DO" : [
        { "data_set" : { "data" : [ "profile2:field-resume-state" ], "value" : "visible" } }
      ]
    }
  }');
  return $items;
}
